Oracle Clusterware (19c) and SLES 12 certification

Recently we stumbled upon an issue with Oracle Clusterware on SLES 12 SP5. We checked the certification on MOS and found this statement: “SUSE Linux Enterprise Server 12 SP3: 4.4.162-94.72-default or later”. That “or later” lead us to the assumption, that it is certified. But it is not, I’ll explain why.
If you search MOS for Clusterware certifications, you walk through these steps:



Here is a direct link to that search.
And that is the point, where you have to read very carefully to interpret the result. The title saying “SP3+” might lead to the assumption that also later SPs are supported. But in fact they are not. The note states clearly, that only “SP3” is supported with some minimum kernel version to be used. I highlighted that in the picture above. So that means in turn, only SLES 12 SP3 is certified, nothing else.
If you are using or planning to use ACFS, you should also check the certification/compatibility for that. But there is no product for ACFS, there is just a note in MOS: 1369107.1.

In this note, the certification is stated a bit more cleary. It says “SP3” followed by “comma” and then the minimum required kernel version. So the same here, just SP3 of SLES12 is certified, nothing else. As far as I know, that SP3 is not under SuSE’s support anymore at the time of writing. Only SLES 15 is, but there is no upgrade path for this. If you choose to use SLES 15, you need to install it from scratch. And there are a couple of patches required to make the Clusterware run on SLES 15.
I hope this helps you understand and interpret the certifications a bit better next time and choose the propper OD version.